Package org.eclipse.emf.cdo.security

# Interface SecurityItemProvider

All Known Subinterfaces:
  `Directory`, `InternalSecurityManager`, `ISecurityManager`, `Realm`, `SecurityItemContainer`

All Known Implementing Classes:
  `DirectoryImpl`, `RealmImpl`

public interface SecurityItemProvider
Provides `security items` such as `users` or `roles` by their given IDs.

Since:
  4.2
Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`Group`
`getGroup(String id)`
`Role`
`getRole(String id)`
`User`
`getUser(String id)`

## Method Details

### getRole

Role getRole(String id)

### getGroup

Group getGroup(String id)

### getUser

User getUser(String id)